<!--The content below is only a placeholder and can be replaced.-->
<div class="container">
  <h1>Title</h1>
  <form #textArea="ngForm" (ngSubmit)="addTags(textArea.value)">
    <label>
      <textarea [(ngModel)]="inputValue" name="inputValue" class="form-control"></textarea>
    </label>
    <button type="submit" class="btn btn-primary">Add tags</button>
    <div class="form-control div">
      <div class="btn" [ngClass]="{red: tag > 0, blue: tag < 0}" *ngFor="let tag of filterArr4">
        {{tag}}
        <span (click)="delete(tag)">X</span>
      </div>
    </div>
    <div class="btn btn-primary" (click)="edit()" data-toggle="modal" data-target="#exampleModal">Edit tags</div>
  </form>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <textarea [(ngModel)]="inputValue" name="inputValue" class="form-control"></textarea>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" (click)="saveTags(inputValue)">Save changes</button>
      </div>
    </div>
  </div>
</div>

